### Method

# AppStreamCompose Hint format_explanation

#### Declaration [src]

    gchar*
    asc_hint_format_explanation (
      AscHint* hint
    )

#### Description [src]

Formats the explanation template to return a human-redable issue hint explanation, with all placeholder variables replaced.

#### Return value

Type: `gchar*`

Explanation text for this hint, with variables replaced.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.